Subject: bug#71363: 14.0.5; AUCTeX 14.05 and LaTeX Mode

From: Ikumi Keita <[email-masked]>
Date: Wed, 10 Jul 2024 19:42:21 +0900

Hi all,

I have just installed the updated patch. I'll close this bug. Thanks for
all comments.

Regards,
Ikumi Keita
#StandWithUkraine #StopWarInUkraine
#Gaza #StopMassiveKilling #CeasefireNOW

>>>>> Ikumi Keita <[email-masked]> writes:
> Hi Arash,
>>>>> Arash Esbati <[email-masked]> writes:
>> Thanks, catering for `major-mode-remap-defaults' is probably a good
>> idea.  I have some minor comments below.

> Thanks.

>>> --- a/tex-site.el.in
>>> +++ b/tex-site.el.in
>>> @@ -113,29 +113,53 @@ Arrange the redirection of the built-in TeX modes according to VALUE.
>>> - The built-in modes in VALUE are redirected to the corresponding
>>> AUCTeX major modes.
>>> - The built-in modes not in VALUE discard redirection, if any.
>>> -If `major-mode-remap-alist' is available, use it for redirection.
>>> -Otherwise, use advice facility."
>>> +If either `major-mode-remap-defaults' or `major-mode-remap-alist'
>>> +is available, use it for redirection

>> , in that order

> OK, I'll add those words.

>>> +            ;; Keep compatibility.  (bug#71363)
>>> +            (if (eq elt 'latex-mode)
>>> +                (with-eval-after-load 'org-src
>>> +                  (progn

>> Do you need this extra `progn' inside `with-eval-after-load'?

> Thanks. I didn't realize the difference of syntax between
> `eval-after-load' and `with-eval-after-load'.